import request from '@/utils/request'

// 查询物业费设置列表
export function listSettings(query) {
  return request({
    url: '/wuYe/fee/settings/list',
    method: 'get',
    params: query
  })
}

// 查询物业费设置详细
export function getSettings(settingsId) {
  return request({
    url: '/wuYe/fee/settings/' + settingsId,
    method: 'get'
  })
}

// 新增物业费设置
export function addSettings(data) {
  return request({
    url: '/wuYe/fee/settings',
    method: 'post',
    data: data
  })
}

// 修改物业费设置
export function updateSettings(data) {
  return request({
    url: '/wuYe/fee/settings/put',
    method: 'post',
    data: data
  })
}

// 删除物业费设置
export function delSettings(settingsId) {
  return request({
    url: '/wuYe/fee/settings/delete/' + settingsId,
    method: 'get'
  })
}
